//
//  main.cpp
//  Parameters
//
//  Created by Baranyai David on 2018. 06. 30..
//  Copyright © 2018. Baranyai David. All rights reserved.
//

#include <iostream>
#include "Parameters.hpp"

int main(int argc, const char * argv[])
{
    //Initialize class
    Parameters *param = Parameters::GetInstance();
    
    //Get energy and shape
    std::cout << param -> GetEnergy() << " " << param -> GetShape() << std::endl;
    
    //Get dimension
    std::vector<double> dimension = param -> GetDimension();
    
    for(int i = 0; i < dimension.size(); i++)
    {
        std::cout << dimension[i] << " ";
    }
    std::cout << std::endl;
    
    //Get N
    std::vector<double> voxel = param -> GetVoxel();
    
    for(int i = 0; i < voxel.size(); i++)
    {
        std::cout << voxel[i] << " ";
    }
    std::cout << std::endl;
    
    //Get materials
    for(int i = 0; i < param -> GetListSize(); i++)
    {
        std::cout << param -> GetMaterial(i) << std::endl;
    }
    
    return 0;
}
